Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.ac.nagoyau.is.ss.kishii.suntori.message.report
Class DoneReportMessage

    java.lang.Object
      jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
          jp.ac.nagoyau.is.ss.kishii.suntori.message.report.ReportMessage
              jp.ac.nagoyau.is.ss.kishii.suntori.message.report.DoneReportMessage

All Implemented Interfaces:
  IMessage

    public class DoneReportMessage

extends ReportMessage

The DoneReportMessage report that the given instruction is completed.

Author:
  takefumi

Field Summary

Fields inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
`COMMON_DATA_TYPE, data, messageType`

Constructor Summary
`DoneReportMessage(int time, rescuecore2.worldmodel.EntityID platoonID)` Constructor
`DoneReportMessage(java.util.List<java.lang.Integer> bitList, int offset, java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)` The method that the library use to convert the message.

Method Summary

Methods inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.report.ReportMessage
`getAssignedAgentID`

Methods inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
`equals, getBrokenness, getBuriedness, getCoodinate, getDamage, getData, getData, getDataTypeArray, getEntityIDList, getFieryness, getHP, getID, getMessageBitSize, getMessageType, getRepairCost, getSendTime, getSendTime, getWater, getWaterPower, hashCode, isSendable, setCoorinate, setData, setData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoneReportMessage

    public DoneReportMessage(int time,
                             rescuecore2.worldmodel.EntityID platoonID)

  ## Constructor

  Create the message that report the completion of given task.
  Included data are follow.
  - time:the time that the message is created.(int)
  - platoonID:EntityID of the rescue agent

  Parameters:
    `time` - step num
    `platoonID` - EntityID of the rescue agent.

### DoneReportMessage

    public DoneReportMessage(java.util.List<java.lang.Integer> bitList,
                             int offset,
                             java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)

  The method that the library use to convert the message.

  Parameters:
    `bitList` -
    `offset` -
    `bitSizeMap` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD